## com.google.appengine.api.search.query
Class ParserUtils

    java.lang.Object
      com.google.appengine.api.search.query.ParserUtils

    public class ParserUtils

extends java.lang.Object

A helper class that holds various, state-less utility functions used by the query parser.

Method Summary
`static java.lang.String` `normalizePhrase(java.lang.String phrase)` Normalizes the phrase text.
`static java.lang.String` `trimLast(java.lang.String text)` Removes the last character from the given text

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### trimLast

    public static java.lang.String trimLast(java.lang.String text)

  Removes the last character from the given text

### normalizePhrase

    public static java.lang.String normalizePhrase(java.lang.String phrase)

  Normalizes the phrase text. It strips external quote characters. Replaces white space with a single space character. Converts escape sequences to Java characters.

  Parameters:
    `phrase` - the phrase to be normalized
  Returns:
    the phrase with characters and white space normalized